Index: trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphys.def
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphys.def	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphys.def	(revision 564)
@@ -0,0 +1,94 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+5 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
+
Index: trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd2_.def
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd2_.def	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd2_.def	(revision 564)
@@ -0,0 +1,94 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+10 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
+
Index: trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd3_.def
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd3_.def	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd3_.def	(revision 564)
@@ -0,0 +1,94 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+40 30 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
+
Index: trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd4_.def
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd4_.def	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/callphysd4_.def	(revision 564)
@@ -0,0 +1,94 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+4        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+T
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+T
+callcond  (call CO2 condensation ?)
+T
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+40 30 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
+
Index: trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/namelist.input
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/namelist.input	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/namelist.input	(revision 564)
@@ -0,0 +1,79 @@
+ &time_control
+ start_year          = 2024, 2024, 2024, 2024,     !! (p1) Start Martian Year (20XX for MY XX)
+ start_month         =   02,   02,   02,   02,     !! (p1) Start Martian Month
+ start_day           =   16,   16,   16,   16,     !! (p1) Start Martian Day
+ start_hour          =   06,   06,   06,   06,     !! (p1) Start Martian Hour (at longitude 0)
+ end_year            = 2024, 2024, 2024, 2024,     !! (p1) Start Martian Year (20XX for MY XX)
+ end_month           =   03,   03,   03,   03,     !! (p1) Start Martian Month
+ end_day             =   05,   05,   05,   05,     !! (p1) Start Martian Day
+ end_hour            =   06,   06,   06,   06,     !! (p1) Start Martian Hour (at longitude 0)
+ history_interval    =   74,   74,   74,   74,   
+ frames_per_outfile  =   12,   12,   12,   12,
+ restart          = .false.
+ restart_interval = 8880,
+ io_form_history  = 2
+ io_form_restart  = 2
+ io_form_input    = 2
+ io_form_boundary = 2
+ debug_level      = 0
+ !!
+ !! OPTIONAL
+ !!
+ input_from_file  =       T,    T,    T,    T,     
+ interval_seconds = 14800     !! (p2) Frequency of large-scale fields update (s)
+ /
+
+ &domains
+ time_step         = 64 !!80.   !! 96 pas OK !! 120 pas OK !! 80 OK !! 64 OK !! 40 OK 
+ p_top_requested   = 10.     
+ max_dom           =        4    
+ grid_id           =        1,           2,            3,            4,
+ parent_id         =        0,           1,            2,            2,
+ parent_grid_ratio =        1,           3,            4,            4,
+ i_parent_start    =        0,          40,           22,           52,
+ j_parent_start    =        0,          40,           40,           27,
+ e_we              =      117,         121,          121,          121,
+ e_sn              =      117,         121,          121,          121,
+ parent_time_step_ratio =   1,           2,            4,            4,
+ e_vert            =       61,          61,           61,           61,  
+ dx                =   81000.,      27000.,        6750.,        6750.,
+ dy                =   81000.,      27000.,        6750.,        6750.,
+ feedback          = 0
+ smooth_option     = 2    !! 0: no smoothing; 1: 1-2-1 smoothing; 2: smoothing-desmoothing
+ blend_width       = 5
+ !!
+ !! OPTIONAL
+ !!
+ force_sfc_in_vinterp = 5    !! (p3) Number of levels hardwired in the PBL
+                             !!         NB: decrease this parameter when low model top
+ num_metgrid_levels=33
+ /
+
+ &physics
+ /
+
+ &fdda
+ /
+
+ &dynamics
+ !!
+ !! OPTIONAL
+ !!
+ tiso = 100. 
+ non_hydrostatic = F, F, F, F
+ /
+
+ &grib2
+ /
+
+ &bdy_control
+ specified       = T, F, F, F
+ nested          = F, T, T, T
+ /
+
+!! DO NOT MODIFY
+ &namelist_quilt
+ nio_tasks_per_group = 0,
+ nio_groups = 1,
+ /
+!! DO NOT MODIFY
Index: trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/namelist.wps
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/namelist.wps	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/POLAR_4NEST/namelist.wps	(revision 564)
@@ -0,0 +1,38 @@
+&share				      	
+ wrf_core   = 'ARW',                  !!   [do not modify: choice of dynamical core]
+ max_dom    = 4    
+ start_date = '2024-02-16_06:00:00','2024-02-16_06:00:00','2024-02-16_06:00:00','2024-02-16_06:00:00'
+ end_date   = '2024-03-05_06:00:00','2024-02-16_06:00:00','2024-02-16_06:00:00','2024-02-16_06:00:00'
+ interval_seconds = 14800             !! (p2) Frequency of large-scale fields update (s)
+ io_form_geogrid = 2,                 !!   [do not modify: choice of NETCDF outputs]	
+ debug_level = 0,                     !! verbose level of the programs 
+ opt_output_from_geogrid_path='./'    !! location of the geogrid outputs
+/
+
+
+&geogrid
+ parent_id         =        0,           1,           2,            2,
+ parent_grid_ratio =        1,           3,           4,            4,
+ i_parent_start    =        0,          40,          22,           52,
+ j_parent_start    =        0,          40,          40,           27,
+ e_we              =      117,         121,         121,          121,
+ e_sn              =      117,         121,         121,          121,
+ dx = 81000.,
+ dy = 81000.,
+ geog_data_res     =  '64ppd',     '64ppd',      '64ppd',      '64ppd',            !! choice of static data sources
+                                                                                   !! NB: possible: '64ppd', '32ppd', ...
+                                                                                   !! NB: please glance at geogrid/GEOGRID.TBL
+ map_proj = 'polar',          !! map projection: 'mercator', 'lambert' or 'polar'
+ ref_lat   =  90.,            !! north latitude of the center of the domain 
+ ref_lon   =  0.1,            !! east longitude of the center of the domain
+ truelat1  =  90.,            !! (lambert or polar) lat position of projection cone
+ truelat2  =  0.0,                !!   [do not modify]
+ stand_lon =  0.1,            !! (lambert or polar) lon position of projection cone
+ geog_data_path = './WPS_GEOG',   !!   [do not modify: symbolic link in the WPS folder]
+/
+
+&metgrid
+ fg_name = './WPSFEED/LMD'        !!   [do not modify: symbolic link in the WPS folder]
+ io_form_metgrid = 2,             !!   [do not modify: choice of NETCDF outputs]
+ opt_output_from_metgrid_path='./WRFFEED/current'  !!   [do not modify: symbolic link]
+/
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 560)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/api.F90	(revision 564)
@@ -1619,5 +1619,5 @@
    real, parameter :: RAD_PER_DEG = PI/180.
 
-  IF ( map_proj .ge. 3 ) THEN                         ! No need to rotate
+  IF (( map_proj .ge. 3 ) .OR. ( map_proj .eq. 0 )) THEN                         ! No need to rotate
     !PRINT *, 'NO NEED TO ROTATE !!!! equivalent to output U,V with unstagger_grid'
     UUUmet(:,:,:) = UUU
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/namelist.api.variability
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/namelist.api.variability	(revision 564)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/POSTPROC/namelist.api.variability	(revision 564)
@@ -0,0 +1,42 @@
+&io
+!!!!!
+ path_to_input  = './liens/OMEGA_CRATERS_ca/'
+! path_to_input  = './liens/OMEGA_CRATERS_nca/'
+ input_name     = 'wrfout_d03*'
+!!!!!
+! path_to_input  = './liens/MERIDIANI/saves_simu_LS_244_tau05/'
+! path_to_input  = './liens/MERIDIANI/saves_simu_LS_244_tau1/'
+! path_to_input  = './liens/MERIDIANI/saves_simu_LS_244_tau2/'
+! path_to_input  = './liens/MERIDIANI/saves_simu_LS_244_tau5/'
+! input_name     = 'wrfout_d01_2024-09-08_00:00:00'
+!!!!!
+ path_to_output = './' 
+ oldvar         = T
+ process        = 'list'         
+ fields         = 'HGT,uvmet,tk,W'  
+ debug          = .TRUE.
+/
+
+&interp_in
+ interp_method = 3                 !! INTERPOLATION: ALTITUDE ABOVE MOLA AREOID (km)
+ interp_levels =  -2.000,-1.000, 0.010,
+                   1.000, 2.000, 3.000, 4.000, 5.000, 6.000, 7.000, 8.000, 9.000,10.000,
+                  11.000,12.000,13.000,14.000,15.000,16.000,17.000,18.000,19.000,20.000,
+                  21.000,22.000,23.000,24.000,25.000,26.000,27.000,28.000,29.000,30.000,
+/
+ interp_method = 4                 !! INTERPOLATION: ALTITUDE ABOVE SURFACE (km)
+ interp_levels =  0.01, 0.02, 0.05, 0.1,
+                        0.2, 0.4, 0.6, 0.8,
+                  1.0,  1.2, 1.4, 1.6, 1.8,
+                  2.0,  2.5, 
+                  3.0,  3.5,
+                  4.0,  4.5,
+                  5.0,  5.5,
+                  6.0,  6.5,
+                  7.0,  7.5,
+                  8.0,  8.5,
+                  9.0,  9.5,
+                 10.0, 10.5,
+                 11.0, 11.5,
+                 12.0, 12.5,
+/