Index: /trunk/LMDZ.MARS/README
===================================================================
--- /trunk/LMDZ.MARS/README	(revision 575)
+++ /trunk/LMDZ.MARS/README	(revision 576)
@@ -1571,2 +1571,6 @@
    sponge time scale doubles with every level, starting from top.
 
+== 12/03/12 == FL + EM
+>> update a coefficient in photochemistry.F and some cleanup in watercloud.F
+  and physiq.F.
+
Index: /trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F
===================================================================
--- /trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F	(revision 575)
+++ /trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F	(revision 576)
@@ -1462,5 +1462,8 @@
 c        jpl 2003
 c
-         a001(l) = 2.5
+c        co2 efficiency as a third body (2.075)
+c        from sehested et al., j. geophys. res., 100, 1995.
+c
+         a001(l) = 2.075
      $             *6.0e-34*(t(l)/300.)**(-2.4)*dens(l)
 c
Index: /trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 575)
+++ /trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 576)
@@ -202,6 +202,6 @@
       real rsedcloud(ngridmx,nlayermx) ! Cloud sedimentation radius
       real rhocloud(ngridmx,nlayermx)  ! Cloud density (kg.m-3)
-      REAL surfdust(ngridmx,nlayermx) ! dust surface area (micron2/cm3, if photochemistry)
-      REAL surfice(ngridmx,nlayermx)  !  ice surface area (micron2/cm3, if photochemistry)
+      REAL surfdust(ngridmx,nlayermx) ! dust surface area (m2/m3, if photochemistry)
+      REAL surfice(ngridmx,nlayermx)  !  ice surface area (m2/m3, if photochemistry)
 
 c     Variables used by the slope model
@@ -309,5 +309,5 @@
       real rho(ngridmx,nlayermx)  ! density
       real vmr(ngridmx,nlayermx)  ! volume mixing ratio
-      !real colden(ngridmx,nqmx)   ! vertical column                      !FL
+      real colden(ngridmx,nqmx)   ! vertical column of tracers
       REAL mtot(ngridmx)          ! Total mass of water vapor (kg/m2)
       REAL icetot(ngridmx)        ! Total mass of water ice (kg/m2)
@@ -1602,29 +1602,36 @@
              if (thermochem.or.photochem) then
                 do iq=1,nq
-                   if ((noms(iq).eq."o").or.(noms(iq).eq."co2").or.
-     .                (noms(iq).eq."co").or.(noms(iq).eq."n2").or.
-     .                (noms(iq).eq."h2").or.
-     .                (noms(iq).eq."o3")) then
-                        do l=1,nlayer
-                          do ig=1,ngrid
-                            vmr(ig,l)=zq(ig,l,iq)*mmean(ig,l)/mmol(iq)
-                          end do
-                        end do
-                        call wstats(ngrid,"vmr_"//trim(noms(iq)),
-     .                     "Volume mixing ratio","mol/mol",3,vmr)
-                   endif
-!                   do ig = 1,ngrid
-!                      colden(ig,iq) = 0.                             !FL
-!                   end do
-!                   do l=1,nlayer                                     !FL
-!                      do ig=1,ngrid                                  !FL
-!                         colden(ig,iq) = colden(ig,iq) + zq(ig,l,iq) !FL
-!     $                                  *(pplev(ig,l)-pplev(ig,l+1)) !FL
-!     $                                  *6.022e22/(mmol(iq)*g)       !FL
-!                      end do                                         !FL
-!                   end do                                            !FL
-!                   call wstats(ngrid,"c_"//trim(noms(iq)),           !FL
-!     $                         "column","mol cm-2",2,colden(1,iq))   !FL
-                end do
+                  if (noms(iq) .ne. "dust_mass" .and.
+     $                 noms(iq) .ne. "dust_number" .and.
+     $                 noms(iq) .ne. "ccn_mass" .and.
+     $                 noms(iq) .ne. "ccn_number") then
+                   do l=1,nlayer
+                      do ig=1,ngrid
+                         vmr(ig,l)=zq(ig,l,iq)*mmean(ig,l)/mmol(iq)
+                      end do
+                   end do
+                   call wstats(ngrid,"vmr_"//trim(noms(iq)),
+     $                         "Volume mixing ratio","mol/mol",3,vmr)
+                   if ((noms(iq).eq."o") .or. (noms(iq).eq."co2").or.
+     $                 (noms(iq).eq."o3")) then                     
+                      call writediagfi(ngrid,"vmr_"//trim(noms(iq)), 
+     $                         "Volume mixing ratio","mol/mol",3,vmr)
+                   end if
+                   do ig = 1,ngrid
+                      colden(ig,iq) = 0.                           
+                   end do
+                   do l=1,nlayer                                    
+                      do ig=1,ngrid                                  
+                         colden(ig,iq) = colden(ig,iq) + zq(ig,l,iq)
+     $                                  *(pplev(ig,l)-pplev(ig,l+1)) 
+     $                                  *6.022e22/(mmol(iq)*g)       
+                      end do                                        
+                   end do                                          
+                   call wstats(ngrid,"c_"//trim(noms(iq)),           
+     $                         "column","mol cm-2",2,colden(1,iq))  
+                   call writediagfi(ngrid,"c_"//trim(noms(iq)),  
+     $                             "column","mol cm-2",2,colden(1,iq))
+                  end if ! of if (noms(iq) .ne. "dust_mass" ...)
+                end do ! of do iq=1,nq
              end if ! of if (thermochem.or.photochem)
 
@@ -1767,13 +1774,4 @@
          call WRITEDIAGFI(ngrid,"co2col","CO2 column","kg.m-2",2,
      &                  co2col)
-!!!!! FL
-!            do iq = 1,nq
-!               if (noms(iq) .ne. "dust_mass" .and.
-!     $             noms(iq) .ne. "dust_number") then
-!               call writediagfi(ngrid,"c_"//trim(noms(iq)),         
-!     $                         "column","mol cm-2",2,colden(1,iq))
-!               end if
-!            end do
-!!!!! FL
          endif ! of if (tracer.and.(igcm_co2.ne.0))
 
Index: /trunk/LMDZ.MARS/libf/phymars/watercloud.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/watercloud.F	(revision 575)
+++ /trunk/LMDZ.MARS/libf/phymars/watercloud.F	(revision 576)
@@ -441,32 +441,4 @@
 c=======================================================================
 
-!!!!!!!!!! FOR PHOTOCHEMISTRY, REIMPLEMENT output of surfdust/surfice
-!!      if (photochem) then
-!!c        computation of dust and ice surface area (micron2/cm3)
-!!c        for heterogeneous chemistry
-!!
-!!         do l = 1,nlay
-!!            do ig = 1,ngrid
-!!c                                                                      
-!!c              npart: number density of ccn in #/cm3    
-!!c                                                     
-!!               npart(ig,l) = 1.e-6*ccn(ig,l)  
-!!     $                       *masse(ig,l)/epaisseur(ig,l) 
-!!c
-!!c              dust and ice surface area
-!!c                                                                  
-!!               surfdust(ig,l) = npart(ig,l)*4.*pi*1.e12*rdust(ig,l)**2
-!!c                                                                  
-!!               if (rice(ig,l) .ge. rdust(ig,l)) then                   
-!!                  surfice(ig,l)  = npart(ig,l)*4.*pi*1.e12*rice(ig,l)**2
-!!                  surfdust(ig,l) = 0.
-!!               else                                                    
-!!                  surfice(ig,l) = 0.                                 
-!!               end if                                             
-!!            end do      ! of do ig=1,ngrid
-!!         end do         ! of do l=1,nlay
-!!      end if            ! of photochem
-
-      RETURN
       END
  