Index: trunk/LMDZ.GENERIC/deftank/jupiter1d.callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/jupiter1d.callphys.def	(revision 591)
+++ trunk/LMDZ.GENERIC/deftank/jupiter1d.callphys.def	(revision 591)
@@ -0,0 +1,148 @@
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir      = /d5/aslmd/DATAGENERIC
+
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer       = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal      = .false.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season       = .false. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked      = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres         = 1
+# Write some more output on the screen ?
+lwrite       = .false.
+# Save statistics in file "stats.nc" ?
+callstats    = .false.
+# Test energy conservation of model physics ?
+enertest     = .true.
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad      = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia       = 1 
+# Use blackbody for stellar spectrum ?
+stelbbody    = .false.
+# Stellar blackbody temperature ?
+stelTbb      = 5800.000
+# call multilayer correlated-k radiative transfer ?
+corrk        = .true.
+# folder in which correlated-k data is stored ?
+corrkdir     = null
+# call visible gaseous absorption in radiative transfer ?
+callgasvis   = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh     = .true.
+# Uniform absorption coefficient in IR ?
+graybody     = .false.
+# Use Newtonian cooling in place of radiative transfer ?
+newtonian    = .false.
+# Radiative timescale for Newtonian cooling ? [only if newtonian = T]
+tau_relax    = 30.00000
+# Test physics timescale in 1D ?
+testradtimes = .false.
+# Output spectral OLR in 1D/3D?
+specOLR      = .true.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR      = .false.
+# Variable gas species: Radiatively active ?
+varactive    = .false.
+# Variable gas species: Fixed vertical distribution ?
+varfixed     = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval       = 1.0
+# Use fixed vertical profile, 1 step, no iteration ?
+kastprof     = .false.
+# Remove lower boundary (e.g. for gas giant sims)
+noradsurf    = .true.
+noradsurf    = .false. 
+
+## Star type
+## ~~~~~~~~~
+startype     = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2                Sol today
+# 1024.5 W m-2                Sol today x 0.75 = weak Sun 3.8 GYa
+# 18.462 W m-2                The feeble GJ581
+# 19.960 W m-2                GJ581 with e=0.38 orbital average
+Fat1AU       = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (KEEP FALSE FOR NOW) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv     = .true.
+# call convective adjustment ?
+calladj      = .true.
+# call thermal conduction in the soil ?
+callsoil     = .false.
+
+#########################################################################
+## extra non-standard definitions for Gliese 581d / Early Mars
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Fixed aerosol distributions?
+aerofixed     = .true.
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction?
+CLFfixval     = 0.0 
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water ice particles
+Nmix_h2o      = 100000.
+# basic dust opacity
+dusttau       = 0.0
+# water cloud pressure level (norm. by psurf)
+cloudlvl      = 0.0
+
+
+## Water options
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Precipitation threshold (simple scheme only) ?
+rainthreshold = 0.011
+# Surface hydrology?
+hydrology     = .false.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness (m) ?
+maxicethick   = 2.0
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# gas is non-ideal CO2 ?
+nonideal      = .false.
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/jupiter1d.gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/jupiter1d.gases.def	(revision 591)
+++ trunk/LMDZ.GENERIC/deftank/jupiter1d.gases.def	(revision 591)
@@ -0,0 +1,9 @@
+# gases
+1
+H2_
+1.0
+
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then molar mixing ratios.
+# mixing ratio -1 means the gas is variable.
Index: trunk/LMDZ.GENERIC/deftank/jupiter1d.rcm1d.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/jupiter1d.rcm1d.def	(revision 591)
+++ trunk/LMDZ.GENERIC/deftank/jupiter1d.rcm1d.def	(revision 591)
@@ -0,0 +1,100 @@
+#---------------------------------#
+# Run parameters for the 1D model #                                         
+#---------------------------------#
+
+## Planetary constants
+## ~~~~~~~~~~~~~~~~~~~~~~~
+## NB: those are mandatory
+## ~~~~~~~~~~~~~~~~~~~~~~~
+## LENGTH OF A DAY in s
+daysec         = 887750.
+## GRAVITY in m s-2
+g              = 26.0
+## LENGTH OF A YEAR in days
+year_day       = 4332
+## MIN DIST STAR-PLANET in AU [periastron]
+periastr       = 5.00
+## MAX DIST STAR-PLANET in AU [apoastron]
+apoastr        = 5.00
+## DATE OF PERIASTRON in days
+peri_day       = 170.
+## OBLIQUITY in deg
+obliquit       = 3.12
+## SURFACE PRESSURE in Pa
+psurf          = 1000000
+
+## Time integration parameters
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Initial date (in solar days,=0 at Ls=0)
+day0           = 0
+# Initial local time (in hours, between 0 and 24)
+time           = 12 
+# Number of time steps per sol
+day_step       = 1 
+# Number of sols to run 
+ndt            = 250000
+
+## Vertical levels
+## ~~~~~~~~~~~~~~~
+# hybrid vertical coordinate ? (.true. for hybrid and .false. for sigma levels)
+hybrid         = .false.
+# autocompute vertical discretisation? (useful for exoplanet runs)
+autozlevs      = .false.
+# Ceiling pressure (Pa) ?
+pceil          = 10.0
+
+## Thermal properties
+## ~~~~~~~~~~~~~~~~~~
+# Simulate global averaged conditions ? 
+global1d       = .true.
+# Latitude (deg) [only used if force_cpp = F]
+latitude       = 0.0
+# Solar Zenith angle (deg) [only used if force_cpp = T]
+szangle        = 45. 
+# Force specific heat capacity and molecular mass values
+force_cpp      = .false.
+# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
+cpp            = 12000.
+# Molecular mass in g mol-1 [only used if force_cpp = T]
+mugaz          = 3.
+# Albedo of bare ground
+albedo         = 0.
+# Emissivity of bare ground
+emis           = 1.0
+# Soil thermal inertia (SI)
+inertia        = 0.001
+# Initial CO2 ice on the surface (kg.m-2)
+co2ice         = 0
+
+## Wind profile
+## ~~~~~~~~~~~~
+## zonal eastward component of the geostrophic wind (m/s)
+u              = 0.
+# meridional northward component of the geostrophic wind (m/s)
+v              = 0.
+
+## Initial atmospheric temperature profile
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Type of initial temperature profile
+#         ichoice=1   Constant Temperature:  T=tref
+#         [Mars] ichoice=2   Savidjari profile (as Seiff but with dT/dz=cte)
+#         [Mars] ichoice=3   Lindner (polar profile)
+#         [Mars] ichoice=4   inversion
+#         [Mars] ichoice=5   Seiff  (standard profile, based on Viking entry)
+#         ichoice=6   constant T  +  gaussian perturbation (levels)
+#         ichoice=7   constant T  + gaussian perturbation (km)
+#         ichoice=8   Read in an ascii file "profile" 
+ichoice        = 1
+# Reference temperature tref (K)
+tref           = 110.  ## cold start
+tref           = 295.  ## warm start
+# Add a perturbation to profile if isin=1
+isin           = 0
+# peak of gaussian perturbation (for ichoice=6 or 7)
+pic            = 26.522
+# width of the gaussian perturbation (for ichoice=6 or 7)
+largeur        = 10
+# height of the gaussian perturbation (for ichoice=6 or 7)
+hauteur        = 30.
+
Index: trunk/LMDZ.GENERIC/deftank/jupiter1d.traceur.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/jupiter1d.traceur.def	(revision 591)
+++ trunk/LMDZ.GENERIC/deftank/jupiter1d.traceur.def	(revision 591)
@@ -0,0 +1,2 @@
+1
+co2
Index: trunk/LMDZ.GENERIC/deftank/jupiter1d.z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/jupiter1d.z2sig.def	(revision 591)
+++ trunk/LMDZ.GENERIC/deftank/jupiter1d.z2sig.def	(revision 591)
@@ -0,0 +1,21 @@
+17.0
+3.24408086057
+6.17180814028
+10.877106139
+17.4731260559
+25.8561008821
+35.7739296878
+46.9006189997
+58.894862645
+71.4376709403
+84.2520594783
+97.1101205779
+109.832385725
+122.283120374
+134.363931004
+146.007089889
+157.169320305
+167.826371667
+177.968475385
+187.596645877
+196.719732904